io.vertx.rxjava.core.streams

## Interface ReadStream<T>

- All Superinterfaces:
    StreamBase
  All Known Subinterfaces:
    WebSocketBase
  All Known Implementing Classes:
    AsyncFile, DatagramSocket, HttpClientRequest, HttpClientResponse, HttpServerFileUpload, HttpServerRequest, KafkaConsumer, MessageConsumer, NetSocket, ServerWebSocket, SockJSSocket, SQLRowStream, TestSuiteReport, TimeoutStream, WebSocket

      public interface ReadStream<T>
      extends StreamBase

  Represents a stream of items that can be read from.

  Any class that implements this interface can be used by a `Pump` to pump data from it to a `WriteStream`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadStream<T>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `ReadStream<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `ReadStream` | `getDelegate()`
    `ReadStream<T>` | `handler(Handler<T> handler)` Set a data handler.
    `static <T> ReadStream<T>` | `newInstance(ReadStream arg)`
    `static <T> ReadStream<T>` | `newInstance(ReadStream arg, TypeArg<T> __typeArg_T)`
    `ReadStream<T>` | `pause()` Pause the `ReadSupport`.
    `ReadStream<T>` | `resume()` Resume reading.
    `rx.Observable<T>` | `toObservable()`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Method Detail

    - #### getDelegate

          ReadStream getDelegate()

      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### exceptionHandler

          ReadStream<T> exceptionHandler(Handler<Throwable> handler)

      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          ReadStream<T> handler(Handler<T> handler)

      Set a data handler. As data is read, the handler will be called with the data.
      Parameters:
        `handler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          ReadStream<T> pause()

      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          ReadStream<T> resume()

      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          ReadStream<T> endHandler(Handler<Void> endHandler)

      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Parameters:
        `endHandler` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### toObservable

          rx.Observable<T> toObservable()

    - #### newInstance

          static <T> ReadStream<T> newInstance(ReadStream arg)

    - #### newInstance

          static <T> ReadStream<T> newInstance(ReadStream arg,
                                               TypeArg<T> __typeArg_T)

Copyright © 2017. All rights reserved.